Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

List all roles.

List all roles. Get all organizational roles (sorted by title) Title will be returned by the first available of the accepted languages in the header (it, de, …).

Security: Any user holding a Bpanda licence for the process space.

GET/v1/warehouses/{warehouseId}/orgstructure/roles
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

Query parameters
fromAccumulatedboolean

use only roles or roles and role subsets (intersections with org units)

Responses
200

The available organizational roles.

Array of OrgRoleNew
baseRoleIdstring
descriptionLocalizedFormattedText[]required
Show properties
Array of LocalizedFormattedText
formatTextFormatrequired
Allowed:BBCodeHTMLPlainText
textLocalizedStringrequired
Show properties
translationsStringTranslation[]required
valuestring
externalbooleanrequired
idstring
roleTypeIdstringrequired
subTypestringrequired
titleLocalizedStringrequired
Show properties
translationsStringTranslation[]required
Show properties
Array of StringTranslation
languagestringrequired
valuestring
valuestring
unitIdstring
userIdsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/orgstructure/roles' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY'
Response
[
  {
    "baseRoleId": "string",
    "description": [
      {
        "format": "BBCode",
        "text": {
          "translations": [
            {
              "language": "string",
              "value": "string"
            }
          ],
          "value": "string"
        }
      }
    ],
    "external": true,
    "id": "string",
    "roleTypeId": "string",
    "subType": "string",
    "title": {
      "translations": [
        {
          "language": "string",
          "value": "string"
        }
      ],
      "value": "string"
    },
    "unitId": "string",
    "userIds": [
      "string"
    ]
  }
]